GET /api/v3/account

Retrieves all accounts

GetAccountsV3 Permissions: Accounts (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
accountCode Account Number String equals not equals one of like not like not one of
accountId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
accountInfo Account Name String equals not equals one of like not like not one of
active Active (0/1 = F/T) Boolean equals
city City String equals not equals one of like not like not one of
costCenterCode Cost Center Code String equals not equals one of like not like not one of
costCenterId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
costCenterInfo Cost Center Name String equals not equals one of like not like not one of
isChargebackMasterAccount Is Chargeback Master Account Boolean equals
isSubAccount Is Sub-account Boolean equals
isSummaryAccount Has Sub-accounts Boolean equals
meterCode Logical Device Code String equals not equals one of like not like not one of
meterId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
meterInfo Logical Device Name String equals not equals one of like not like not one of
postalCode Postal Code String equals not equals one of like not like not one of
serviceBegin Service Begin Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
serviceEnd Service End Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
splitAccountChargesConfigured Acct Split Charges Configured Boolean equals
state State/Province String equals not equals one of like not like not one of
summaryAccountCode Summary Account Number String equals not equals one of like not like not one of
summaryAccountId Summary Account ID Integer equals not equals less than between one of greater than less than equal greater than equal not one of
summaryAccountInfo Summary Account Name String equals not equals one of like not like not one of
topmostCostCenterCode Topmost Cost Center Code String equals
topmostCostCenterInfo Topmost Cost Center Name String equals
vendorCode Vendor Code String equals not equals one of like not like not one of
vendorId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
vendorInfo Vendor Name String equals not equals one of like not like not one of

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

AccountResponse
Property Description Type
accountCode The account code string
accountCodeAliases An array of account code aliases string[]
accountCodeHistory AccountCodeHistoryChild
AccountCodeHistoryChild properties
Property Description Type
endDate Date that the account code was changed string (date-time)
previousAccountCode The previous account code of this account string
accountDescription A description of the account string
accountGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
accountId The account identifier integer (int32)
accountInfo The account info string
accountMeterId The accountmeter identifier for the account integer (int32)
accountType AccountTypeChild
AccountTypeChild properties
Property Description Type
accountTypeCode The account type code string
accountTypeId The account type identifier integer (int32)
accountTypeInfo The account type info string
accrualEnabled Indicates if this account is used with accruals boolean
active Indicates whether the Account is active or inactive boolean
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
auditEnabled When true, bills for this account will be audited boolean
billAcquisitionMethod The BillCapture bill acquisition method for the account EnergyCap.Shared.Common.Utilities.BillCaptureAccountBillAcquisitionMethod string
billNextIssueDate The BillCapture anticipated date of the next bill issue date for the account string (date-time)
billNextReceiptDate The BillCapture anticipated date of the next bill receipt date for the account string (date-time)
billingFrequency The BillCapture calculated billing frequency for the account EnergyCap.Shared.Common.Utilities.BillCaptureAccountBillingFrequency string
contact ContactChild
ContactChild properties
Property Description Type
contactId The contact identifier integer (int32)
first The contact’s first name string
last The contact’s last name string
middle The contact’s middle name string
costCenter CostCenterChild
CostCenterChild properties
Property Description Type
costCenterCode The cost center code string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the account was created string (date-time)
customer CustomerChild
CustomerChild properties
Property Description Type
customerCode The customer code string
customerId The customer identifier integer (int32)
customerInfo The customer info string
dataAccessReleaseApproved Indicates if the DataAccessRelease is approved null if there is no release boolean
dataAccessReleaseId The data access release identifier for this Account, null if there is no release. integer (int32)
depositAmount The account deposit amount number (double)
depositNote A note related to the account deposit string
depositPaid The date and time a deposit was paid string (date-time)
depositReturn The date and time the account deposit was returned string (date-time)
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
landlordAccount Is this a landlord account? boolean
memo The account memo string
meters An array of identifiers for meters attached to this account AccountMeterChildWithSerialNumber[]
AccountMeterChildWithSerialNumber properties
Property Description Type
accountMeterId The AccountMeter identifier integer (int32)
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
endDate The ending date and time for this AccountMeter relationship string (date-time)
isCalculatedMeter Indicates whether the Meter is a calculated meter boolean
isSplitChildMeter Indicates whether the Meter is a child of a split boolean
isSplitParentMeter Indicates whether the Meter is a parent of a split boolean
meterCode The code of the Meter for this AccountMeter string
meterGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
meterId The Meter identifier for this AccountMeter integer (int32)
meterInfo The info of the Meter for this AccountMeter string
place PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
serialNumber The Serial Number of the Meter string
startDate The beginning date and time for this AccountMeter relationship string (date-time)
vendorType VendorTypeChild
VendorTypeChild properties
Property Description Type
vendorTypeCode The vendor type code string
vendorTypeId The vendor type identifier integer (int32)
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification string (date-time)
remitAddress AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
remitEmail The remit email address string
remitPhoneNumber The remit phone number string
serviceEnd The account’s service end date and time string (date-time)
serviceStart The account’s service begin date and time string (date-time)
splitAccountChargesConfigured If there are settings configured to split account charges for this account boolean
summaryAccount AccountChild
AccountChild properties
Property Description Type
accountCode string
accountId integer (int32)
accountInfo string
active boolean
hasCalculatedMeter boolean
hasSplitChildMeter boolean
hasSplitParentMeter boolean
hasSubAccount boolean
isSubAccount boolean
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
Example Response application/json
[
  {    "accountCode": "string",    "accountCodeAliases": [
      "string"
    ],    "accountCodeHistory": {      "endDate": "2026-03-30",      "previousAccountCode": "string"
    },    "accountDescription": "string",    "accountGeneralLedger": {      "generalLedgerCode": "string",      "generalLedgerId": 1,      "generalLedgerInfo": "string"
    },    "accountId": 1,    "accountInfo": "string",    "accountMeterId": 1,    "accountType": {      "accountTypeCode": "string",      "accountTypeId": 1,      "accountTypeInfo": "string"
    },    "accrualEnabled": false,    "active": false,    "address": {      "addressTypeId": 1,      "city": "string",      "country": "string",      "latitude": 1.0,      "line1": "string",      "line2": "string",      "line3": "string",      "longitude": 1.0,      "postalCode": "string",      "remitTo": "string",      "state": "string"
    },    "auditEnabled": false,    "billAcquisitionMethod": "string",    "billNextIssueDate": "2026-03-30",    "billNextReceiptDate": "2026-03-30",    "billingFrequency": "string",    "contact": {      "contactId": 1,      "first": "string",      "last": "string",      "middle": "string"
    },    "costCenter": {      "costCenterCode": "string",      "costCenterId": 1,      "costCenterInfo": "string"
    },    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "customer": {      "customerCode": "string",      "customerId": 1,      "customerInfo": "string"
    },    "dataAccessReleaseApproved": false,    "dataAccessReleaseId": 1,    "depositAmount": 1.0,    "depositNote": "string",    "depositPaid": "2026-03-30",    "depositReturn": "2026-03-30",    "hasCalculatedMeter": false,    "hasSplitChildMeter": false,    "hasSplitParentMeter": false,    "hasSubAccount": false,    "landlordAccount": false,    "memo": "string",    "meters": [
      {      "accountMeterId": 1,      "active": false,      "commodity": {},      "endDate": "2026-03-30",      "isCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterGeneralLedger": {},      "meterId": 1,      "meterInfo": "string",      "place": {},      "serialNumber": "string",      "startDate": "2026-03-30",      "vendorType": {}
    }
    ],    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "remitAddress": {      "addressTypeId": 1,      "city": "string",      "country": "string",      "latitude": 1.0,      "line1": "string",      "line2": "string",      "line3": "string",      "longitude": 1.0,      "postalCode": "string",      "remitTo": "string",      "state": "string"
    },    "remitEmail": "string",    "remitPhoneNumber": "string",    "serviceEnd": "2026-03-30",    "serviceStart": "2026-03-30",    "splitAccountChargesConfigured": false,    "summaryAccount": {      "accountCode": "string",      "accountId": 1,      "accountInfo": "string",      "active": false,      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "vendor": {}
    },    "vendor": {      "vendorCode": "string",      "vendorId": 1,      "vendorInfo": "string"
    }
  }
]